## casper 1.57

=== casper-md5check/Makefile ===

CC=gcc
LDFLAGS=-lm
CFLAGS=$(getconf LFS_CFLAGS) -Wall -O2

casper-md5check: casper-md5check.c md5.c

clean:
	rm *.o casper-md5check
