## casper 0.62

=== debian/changelog ===
casper (0.62) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (nb)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  5 Apr 2005 09:01:02 -0700

casper (0.61) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (el, es, ro)

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue,  5 Apr 2005 08:06:51 -0700

casper (0.60) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (hu, id, pl)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 28 Mar 2005 11:26:21 -0800

casper (0.59) hoary; urgency=low

  * Updated translations from
    colin.watson@canonical.com--2005/casper--translations--0 (de, pt_BR)

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri, 25 Mar 2005 16:51:17 -0800

casper (0.58) hoary; urgency=low

  * Remove postfix shutdown links, as well as startup, to avoid an ugly error

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 24 Mar 2005 18:24:03 -0800

casper (0.57) hoary; urgency=low

  * Merge colin.watson@canonical.com--2005/casper--translations--0 up to
    patch-2
  * Preseed netcfg/wireless_essid_again for noninteractive network setup, +new
    in netcfg 1.08ubuntu3 [colin.watson@canonical.com--2005/casper--netcfg--0]

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 23 Mar 2005 08:33:46 -0800

casper (0.56) hoary; urgency=low

  * Suppress error output from eject
  * Remind the user to close the CD tray if they have one (Ubuntu #6668)
  * Add arch-build target to debian/rules

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 22 Mar 2005 10:21:41 -0800

casper (0.55) hoary; urgency=low

  * Remove the hack introduced in 0.54, xorg 6.8.2-5 should be fixed

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 16 Mar 2005 18:11:05 -0800

casper (0.54) hoary; urgency=low

  * Temporarily set RECONFIGURE=true when reconfiguring xserver-xorg, to work
    around a bug introduced in 6.8.2-3

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 16 Mar 2005 15:08:45 -0800

casper (0.53) hoary; urgency=low

  * Provide target-base-system (i.e. base system installed in /target, also
    provided by base-installer).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Mar 2005 13:01:53 +0000

casper (0.52) hoary; urgency=low

  * Arrange for $LANG to be set after pivot_root, so that (e.g.)
    xserver-xorg can use it to infer the keymap (Ubuntu #7138)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 12 Mar 2005 02:10:59 -0800

casper (0.51) hoary; urgency=low

  * Disable kpersonalizer startup on first login

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat,  5 Mar 2005 13:47:13 -0800

casper (0.50) hoary; urgency=low

  * Add support for configuring kdm autologin
  * Rename 15gdm-autologin to 15autologin, and the corresponding debconf template
  * Remove obsolete XORG_FORCE_PROBE from 20xconfig

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu,  3 Mar 2005 10:37:31 -0800

casper (0.49) hoary; urgency=low

  * Fix 20xconfig harder

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Mar 2005 21:20:03 -0800

casper (0.48) hoary; urgency=low

  * Source confmodule in 20xconfig

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Mar 2005 21:02:35 -0800

casper (0.47) hoary; urgency=low

  * Copy over the value of debian-installer/keymap into the target system,
    to allow the new logic in xserver-xorg.config to work

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  2 Mar 2005 20:45:38 -0800

casper (0.46) hoary; urgency=low

  * Lock the live user's password entirely.  Since the user is now
    automagically logged in, continuously, both on the console and in X,
    their password is irrelevant.

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 28 Feb 2005 08:31:13 -0800

casper (0.45) hoary; urgency=low

  * Enable TimedLogin in gdm, so that if the user logs out, they are
    automatically logged back in after a few seconds (Ubuntu #6667)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 27 Feb 2005 16:06:16 -0800

casper (0.44) hoary; urgency=low

  * Configure init to spawn shells on virtual consoles, rather than login
    prompts (Ubuntu #6666)
  * Skip X configuration if a serial console is in use
  * Set the live user's password to be blank, rather than "ubuntu".  This
    is, paradoxically, more secure if the user decides to install
    openssh-server, since empty passwords are disallowed by default

 -- Matt Zimmerman <mdz@ubuntu.com>  Sun, 27 Feb 2005 15:40:15 -0800

casper (0.43) hoary; urgency=low

  * Override localechooser progress bar text to be more appropriate for the
    live CD (closes: Ubuntu #6664).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Feb 2005 19:12:00 +0000

casper (0.42) hoary; urgency=low

  * Preseed netcfg/no_interfaces, to avoid prompt when no network interfaces
    can be configured (closes: Ubuntu #6107).
  * Remove redundant DH_COMPAT setting in debian/rules, since there's
    already a (different) debian/compat.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 12:43:43 +0000

casper (0.41) hoary; urgency=low

  * Cope with change in default /etc/sudoers (admin group).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Feb 2005 09:14:30 +0000

casper (0.40) hoary; urgency=low

  * Copy /dev/tts to the live system as well as /dev/vc, for serial console.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Feb 2005 19:03:54 +0000

casper (0.39) hoary; urgency=low

  * Fix reboot operation (cache the reboot binary)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 20:51:08 -0800

casper (0.38) hoary; urgency=low

  * Eject the CD during shutdown/reboot
    - Awful hack to copy /dev/cdroms to the live system, because the CD is
      mounted using devfs names
    - Add /usr/share/casper/shutdown script to casper-udeb
    - Copy /usr/share/casper/shutdown to /etc/rc[06].d in 25configure-init
  * Remove caspermon binary package, inadvertently enabled (not even
    remotely ready)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 13:43:56 -0800

casper (0.37) hoary; urgency=low


