=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 VERSION:=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
-DEB_BUILD_PROG:=dpkg-buildpackage -us -uc -S
+DEB_BUILD_PROG:=dpkg-buildpackage -us -uc -rfakeroot
 
 build: build-stamp
 build-stamp:
@@ -52,7 +52,7 @@
 	rm -rf debian/arch-build
 	mkdir -p debian/arch-build/casper-$(VERSION)
 	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/casper-$(VERSION)
-	(cd debian/arch-build/casper-$(VERSION); $(DEB_BUILD_PROG))
+	(cd debian/arch-build/casper-$(VERSION); $(DEB_BUILD_PROG); dpkg-genchanges -S > ../casper_$(VERSION)_source.changes)
 
 binary: binary-indep
 .PHONY: build clean binary-indep binary-arch binary install
