## casper 1.57

=== debian/changelog ===
casper (1.57) dapper; urgency=low

  * Rename the anacron rc.d/S* symlinks to K*, instead of removing them.
    Because otherwise pbbuttonsd decides that starting anacron on the
    LiveCD would be a clever thing to do.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 24 May 2006 23:06:04 +0100

casper (1.56) dapper; urgency=low

  * Hopefully work a bit better when checking DVDs on 32 bit
    architectures.
  * Do an explicit read from /dev/console when waiting for keypress after
    CD/DVD has been ejected.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 22 May 2006 16:43:03 +0200

casper (1.55) dapper; urgency=low

  * Reconfigure gnome-power-manager when doing live installations.
    Malone #45654

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 22 May 2006 11:16:46 +0200

casper (1.54) dapper; urgency=low

  [ Luke Yelavich ]
  * Set large print fonts for the v1 accessibility profile. Closes 
    Malone #45376. 

  [ Colin Watson ]
  * Fix preseed/file handling (closes: Malone #43683).

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 18 May 2006 19:36:24 +0200

casper (1.53) dapper; urgency=low

  [ Tollef Fog Heen ]
  * Disable fglrx and nvidida drivers by default.  Somewhat addresses
    #43706

  [ Colin Watson ]
  * Pass all command-line preseed arguments (other than preseed/file) to
    /root's debconf db.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 13 May 2006 10:14:36 +0200

casper (1.52) dapper; urgency=low

  * Export the path in casper-reconfigure so X and friends actually have
    sbin in their path.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 11 May 2006 21:04:11 +0200

casper (1.51) dapper; urgency=low

  [ Luke Yelavich ]
  * casper-bottom/30accessibility:
    - Removed stale reference to acessx_applet.
    - Fix some typos for gconf values that had to be set as lists.

  [ Colin Watson ]
  * Pass debian-installer/locale to /root's debconf db (closes: Malone
    #41896).
  * Identify ourselves as casper when communicating with debconf.
  * Factor out preseeding code into casper-preseed; this knows that it only
    needs to register a question if it fails to set it, which saves memory
    by avoiding debconf having to rewrite templates.dat.
  * Preseed kbd-chooser/method as well as debian-installer/keymap, so that
    kbd-chooser run from ubiquity picks up the selected keyboard (closes:
    Malone #42202).
  * Use new dpkg-reconfigure --no-reload option (debconf 1.4.72ubuntu6) to
    avoid needlessly rewriting templates.dat.
  
  [ Tollef Fog Heen ]
  * Add ... to the end of all usplash messages.  Malone #43856
  * Add maybe_break casper-bottom to allow breaking before running bottom
    scripts.  Malone #43860
  * Don't show the name of the live cd user that's added.
  * Mount COW filesystem if show-cow is present on the kernel command line.
    Malone #43687
  * Disable the Kubuntu update notifier too.  Malone #43806
  * Disable hibernation and enable sleep where appropriate.  Malone #23882

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 11 May 2006 12:11:08 +0200

casper (1.50) dapper; urgency=low

  [ Luke Yelavich ]
  * Fixed some typos, and added missing settings to some accessibility
    profiles, as they were either not working properly, or at all. Malone:
    #39472, #39473
  * Removed the desktop wallpaper, and changed the background colour to gray
    for the v1 accessibility profile.
  * Set the whiteglass mouse theme for the v1 accessibility profile.
  * Moved the gconftool-2 -s flag to individual gct calls, to allow for future
    use of gconftool-2 flags that are incompatible with -s.
  
  [ Daniele Favara ]
  * Allow custom HOST, USERNAME, USERFULLNAME.  Malone: #42118
  * Add example file
    - debian/casper.dir: Add examples dir 
    - debian/casper.conf: Explain briefly how to use new variables 
    - debian/rules: Install casper.conf as example_conf_casper
  
  [ Tollef Fog Heen ]
  * Stylistic changes to Daniele's changes.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  2 May 2006 14:12:31 +0200

casper (1.49) dapper; urgency=low

  * Also look for hardware named wlan*

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 26 Apr 2006 13:37:13 +0100

casper (1.48) dapper; urgency=low

  * Write /etc/network/interfaces entries for eth0, eth1, eth2, ath0 and
    wlan0 if there's no hardware detected for them; as it may be plugged
    in after boot.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 26 Apr 2006 12:31:38 +0100

casper (1.47) dapper; urgency=low

  [ Tollef Fog Heen ]
  * Turn on debugging of the X config.
  * Log to a file which gets copied to /var/log/casper.log.  Malone: #39895
  * Only pick UTF-8 locales.  Malone: #40178
  * Use correct /root rather than /target for seeing what version of
    gnome-panel-data is installed.
  * Make festival (and probably some other apps) happier by using
    127.0.1.1 for our ubuntu hostname and 127.0.0.1 just resolves to
    "localhost".
  * Make casper-md5check read from tty8 since it wants to get keypresses
    from the active console (where usplash runs).  Malone: #40490.
  * Copy /etc/modules when installing with ubiquity.  Malone: #40311
  * /etc/gdm/gdm-cdd.conf can be a symlink.  Cope with that.  Malone: #40767  

  [ Colin Watson ]
  * ubiquity-casper conflicts/replaces espresso-casper.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 24 Apr 2006 09:41:14 +0200

casper (1.46) dapper; urgency=low

  * Use debian-installer/dummy for preseeding rather than espresso/dummy,
    since the latter was removed in espresso 0.99.38.
  * espresso is being renamed to ubiquity. Rename espresso-casper to
    ubiquity-casper to match.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Apr 2006 12:52:48 +0100

casper (1.45) dapper; urgency=low

  [ Matt Zimmerman ]
  * [share/shutdown] Disable the usplash timeout and wrap the prompt to two
    lines

  [ Tollef Fog Heen ]
  * Use devmapper for ia64, hppa and sparc.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 19 Apr 2006 11:36:49 +0200


