=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Tollef Fog Heen <tfheen@ubuntu.com>
Build-Depends: debhelper (>> 4.2.0)
Standards-Version: 3.6.1

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: initramfs-tools (>= 0.40ubuntu11), dmsetup, user-setup
Conflicts: usplash (<< 0.1-30)
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect
Conflicts: espresso-casper
Replaces: espresso-casper
Enhances: ubiquity
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.
