## casper 1.77+debian

=== casper-md5check/Makefile ===
--- 
+++ 
@@ -6,4 +6,4 @@
 casper-md5check: casper-md5check.c md5.c
 
 clean:
-	rm *.o casper-md5check
+	rm -f *.o casper-md5check
