## casper 1.78

=== debian/changelog ===
casper (1.78) edgy; urgency=low

  * Mount the first squashfs as /rofs. Breaks showmounts and won't work
    properly with stacked filesystems, but works around a kernel oops with
    multiply-mounted squashfses for Edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Oct 2006 12:46:05 +0100

casper (1.77) edgy; urgency=low

  * Honour console-setup/modelcode preseeding. Needed for Malone #66719,
    #66774.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Oct 2006 19:59:39 +0100

casper (1.76) edgy; urgency=low

  [ Colin Watson ]
  * Copy access=m2 accessibility changes into the corresponding ubiquity
    hook.
  * Remove spurious quoting from accessibility script.
  * Clear console-setup/layoutcode and console-setup/variantcode if they
    aren't supplied on the command line.

  [ Michael Vogt ]
  * scripts/casper-bottom/35fix_language_selector:
    - run fontconfig-voodoo if available to make sure that we have
      optimal fontconfig settings for the CJK languages (lp: #49334)

  [ Henrik Nilsen Omma ]
  * Fix a few accessibility items that were out of date, changing
    gnopernicus -> orca and gok -> onboard (the gok entry was missing some
    brackets as well; patch from Malone #58836, closes: Malone #65861).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Oct 2006 20:20:15 +0100

casper (1.75) edgy; urgency=low

  * Turn on accessibility in "Motor Difficulties - pointing devices" which
    makes onboard start properly.  closes: Malone: #65861.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 13 Oct 2006 14:12:10 +0200

casper (1.74) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Sync up ubiquity-hooks/30accessibility with
    scripts/casper-bottom/30accessibility fixing spelling errors and
    enabling accessibility in KDE.

  [ Colin Watson ]
  * Fix check for presence of gconf2 (closes: Malone #58836).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Oct 2006 11:18:00 +0100

casper (1.73) edgy; urgency=low

  * Never run install-keymap or preseed debian-installer/keymap if
    console-setup is detected, even if console-setup wasn't explicitly
    preseeded. Contributes to Malone #60067.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  7 Oct 2006 01:56:20 +0100

casper (1.72) edgy; urgency=low

  * Force suspend and hibernate both off, since reconfiguring
    gnome-power-manager kills usplash here.  Fixes Malone: #61535
    completely.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri,  6 Oct 2006 14:22:23 +0200

casper (1.71) edgy; urgency=low

  * Use TEXT-URGENT in shutdown script to make sure we display the "please
    remove disc and press enter" text.  Malone: #61533
  * Increase usplash timeout since "TIMEOUT 0" no longer means "spin
    forever".
  * Don't move-mount all the squashfs-es into / since that confuses mono
    (and some other apps too).  Malone: #62756
  * Disable kwallet by default.  Malone: #47743
  * Add -n to language selector to make it not whine about
    not-fully-installed langpacks.  Malone. #37568
  * Override definition of log_end_msg in casper-functions.  Make sure all
    casper-bottom scripts use this.
  * Pulsate bar in casper-top and casper-bottom.  Malone: #61535

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  4 Oct 2006 09:52:06 +0200

casper (1.70) edgy; urgency=low

  * Check for new file= alias as well as preseed/file= (closes: Malone
    #63145).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed,  4 Oct 2006 08:59:53 +0100

casper (1.69) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Use grep -E in scripts/casper. Malone: #57620
  * Fix syntax error in accessibility script

  [ Colin Watson ]
  * Run 'sh -n' over everything in build target to avoid future syntax
    errors.
  * Fix check for /etc/default/console-setup (closes: Malone #62775).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  2 Oct 2006 10:58:19 +0100

casper (1.68) edgy; urgency=low

  * Honour console-setup/layoutcode and console-setup/variantcode preseeding
    (closes: Malone #61573).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Sep 2006 16:09:53 +0100

casper (1.67) edgy; urgency=low

  * Make sure to write xorg.conf md5sum to the installed system, not the
    live system in ubiquity-hooks/20xconfig
  * Implement support for setting KDE's accessibility options too, thanks
    to Jonathan Riddell for the patch.
  * Use usplash's TEXT-URGENT for important messages when doing md5 checks
  * Fix flashing of progress bar on 32 bit arches

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 23 Aug 2006 14:34:57 +0200

casper (1.66) edgy; urgency=low

  * Fix use of db_get in ubiquity accessibility hook.
  * Use sudo instead of su to get to the live session user from the
    initramfs or to the newly-installed user from ubiquity. su's argument
    handling has changed so that the previous code no longer worked, and su
    was never all that good for arguments containing spaces anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Sep 2006 15:46:55 +0100

casper (1.65) edgy; urgency=low

  * Update to call udevsettle/udevtrigger instead of udevplug

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 21 Aug 2006 19:37:58 +0200

casper (1.64) edgy; urgency=low

  * Fix moving of squashfs mount points so that /proc/mounts in the
    installed system refers to them correctly (closes: Malone #55019). As a
    bonus, this lets us mount them on subdirectories of /casper/ right from
    the start.
  * Treat locale= as equivalent to debian-installer/locale= (closes: Malone
    #53444).
  * Fix ubiquity-hooks/30accessibility not to use log_end_msg, and to chroot
    to /target instead of /root (closes: Malone #53277).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  3 Aug 2006 14:00:22 +0100

casper (1.63) edgy; urgency=low

  [ Tollef Fog Heen ]
  * Change "Live CD user" to "live session user" in the adduser script.
    Malone #46882
  * Wait for persistent devices for 30 seconds, not 1500.
  * Make sure that readahead-list is installed before chmod -x'ing it.

