## casper 1.87

=== debian/changelog ===
casper (1.87) feisty; urgency=low

  [ Colin Watson ]
  * Improve language at end of MD5 check (LP: #100088).

  [ Martin Pitt ]
  * Add casper-bottom/33enable_apport_crashes: Enable apport crash
    notifications. They are disabled now by default in the installed system
    for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  9 Apr 2007 14:31:50 +0200

casper (1.86) feisty; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Point to new settings file for gnome-orca, as package was changed
      from python-support to pycentral. (LP: #91868)

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 16:42:54 +0100

casper (1.85) feisty; urgency=low

  * Stop disabling nvidia and fglrx drivers.  LP: #94359

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon,  2 Apr 2007 13:16:46 +0200

casper (1.84) feisty; urgency=low

  [ Jani Monoses ]
  * scripts/casper-bottom/13swap: Call /bin/dd not dd so it
    correctly detects and uses existing swap partitions (LP: #62868)

  [ Tollef Fog Heen ]
  * Make sure that we are settled before trying to set up netbooting.
    (LP: #96076)
  * Bind-mount /dev too, when configuring X, this should make it easier
    for X to be correctly configured on a lot of systems.
  * Add /root/lib and /root/usr/lib to /etc/ld.so.conf in the initramfs.
  * Add any sources on the CD to APT using apt-cdrom.
  * Set the time zone to UTC.  LP: #13782
  * Fix deletion of checkroot script.  LP: #66585.

  [ Colin Watson ]
  * Fix error message if do_netmount fails (LP: #95134).

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 30 Mar 2007 12:37:58 +0200

casper (1.83) feisty; urgency=low

  * Fix usplash version in Conflicts.
  * Add XS-Vcs-Bzr field to debian/control.
  * scripts/casper-bottom/25configure_init: Support for "respawn COMMAND"
    has been dropped from upstart jobs; cope with /etc/event.d/tty* using
    "respawn" plus "exec COMMAND" now instead (LP: #92928).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Mar 2007 16:44:22 +0000

casper (1.82) feisty; urgency=low

  [ Ben Collins ]
  * Depends on eject package, and copy it into initramfs.
  * Add log_wait_msg function to use usplash_write INPUTENTER.
  * Conflict with usplash older than the one that fixes INPUTENTER.
  * Add driver-updates hooks.

  [ Colin Watson ]
  * Fix more leftover /live_media wreckage (LP: #84592).
  * Add a ubiquity hook to install driver-updates on the target system.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Mar 2007 11:19:48 +0000

casper (1.81) feisty; urgency=low

  * Merge in Debian's changes.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed,  7 Feb 2007 14:39:30 +0100

casper (1.80) feisty; urgency=low

  * scripts/casper-bottom/31disable_update_notifier: Allow update-notifier
    to run for crash report handling, but disable its apt-check hook.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Feb 2007 00:11:06 +0000

casper (1.79) feisty; urgency=low

  [ Colin Watson ]
  * ubiquity-hooks/30accessibility: Change /root to /target in
    kderc_addtoprefixes (thanks, Jani Monoses).
  * Call udevsettle after udevtrigger (thanks, Matthias Urlichs; LP:
    #77438).
  * Send casper-reconfigure error messages to stderr rather than stdout to
    avoid interfering with debconf.

  [ Jani Monoses ]
  * ubiquity-hooks/30accessibility, scripts/casper-bottom/30accessibility:
    Fix v2 option to start orca in magnifier not speech mode.
    Add v1, v2, v3, m1 and m2 Xubuntu options

  [ Tollef Fog Heen ]
  * Apply patch from Luka Renko to support kde-guidance-powermanager and
    ksmserver instead of klaptoprc as the latter is no longer used.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 10 Jan 2007 20:37:30 +0100

casper (1.77+debian-6) unstable; urgency=medium

  * Improved snapshots features (even still experimental).
  * Added "live-media-offset=BYTES" boot param, to enable "hiding"
    feature, thanks to Sebastien Raveau <sebastien.raveau@epita.fr>.
  * Now it creates /etc/resolv.conf if netbooted.

 -- Marco Amadori <marco.amadori@gmail.com>  Fri,  1 Dec 2006 17:43:30 +0100

casper (1.77+debian-5) unstable; urgency=low

  * Fixed preseeding locale and keyboard's variant and options.
  * Reorganized scans of /proc/cmdline.
  * Improved manpages, thanks to Oliver Osburg for syntax corrections.
  * Added "nopersistent" boot option to disable the "persistent" boot param.
  * Added "xdebconf" boot option, that uses xdebconfigurator on the
    rootfs to configure X (experimental).

 -- Marco Amadori <marco.amadori@gmail.com>  Mon, 20 Nov 2006 22:12:18 +0100

casper (1.77+debian-4) unstable; urgency=medium

  * Removed -phigh from casper-reconfigure, not needed anymore.
  * Fixed netboot /etc/network/interfaces generation, thanks to Hadar
    <whadar@gmail.com>.
  * Fixed X keyboard setup. Thanks to <ascii_77@yahoo.fr> for the idea.
  * Fixed keyboard setup.
  * Allow commandline-device to show up late, thanks to Bas Wijnen
    <wijnen@debian.org> for the code and the care (Closes: #397320).
  * Urgency is set to medium to try reaching Etch with important
    features/bugfixes.

 -- Marco Amadori <marco.amadori@gmail.com>  Mon,  6 Nov 2006 19:00:29 +0100

casper (1.77+debian-3) unstable; urgency=medium

  * Fixed "todisk=" parsing.
  * Urgency is set to medium to try reaching Etch with important
    features/bugfixes.

 -- Marco Amadori <marco.amadori@gmail.com>  Wed,  1 Nov 2006 11:15:56 +0100

casper (1.77+debian-2) unstable; urgency=medium

  [ Marco Amadori ]
  * Improved snapshotting (but still experimental).
  * Renamed "host=" boot parameter to "hostname=" and shell variable "HOST" to
    "HOSTNAME" for consistence, with linux and with username/USERNAME, as
    requested by many people.
  * Fixed a "keyb=" typo.
  * Added dependence on lsb-base (used by init-script and
    casper-snapshot).
  * Removed DM support (obsolete).
  * Changed a bit locale and keyboard handling.
  * Fixed locale generation.

