## casper 1.110

=== debian/changelog ===
casper (1.110) gutsy; urgency=low

  * Don't generate fglrx or the nvidia modules in the live session at boot;
    we disable restricted-manager in the live session anyway so they aren't
    straightforward to use (see #43706). Saves about 19 MB of memory.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 21:28:29 +0100

casper (1.109) gutsy; urgency=low

  * Cache the stty binary before ejecting the CD.
  * Skip the CD eject prompt if 'noprompt' is on the kernel command line
    (LP: #149159).
  * Try each of (e.g.) 2.6.22-13-generic, 2.6.22-13, and 2.6.22 in turn as
    directory names for driver updates (LP: #122430).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 03:24:43 +0100

casper (1.108) gutsy; urgency=low

  * If CASPER_GENERATE_UUID is set, generate a random UUID in the initramfs,
    and check it against the discovered medium (unless booting with the
    ignore_uuid parameter). This allows live CD images to be safely copied
    to the hard disk without causing problems when booting future live CDs
    (LP: #144800).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2007 14:23:37 +0100

casper (1.107) gutsy; urgency=low

  * Fix gconf keys for suspend and hibernate (thanks, Oliver Grawert;
    LP: #144790).
  * Enable suspend again since as far as I can see we no longer need to
    probe DMI while figuring out whether to enable it (see #61535).
  * Add a 'textonly' boot option to disable X (LP: #65818).
  * Write the please-remove-CD message to /dev/console so that it works even
    if usplash isn't running, and make sure to set /dev/console into a sane
    state so that pressing Enter doesn't just result in ^M being displayed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2007 15:12:57 +0100

casper (1.106) gutsy; urgency=low

  * Support preseed/early_command; code supplied here will be run using 'sh
    -c' from casper-bottom, and can chroot to /root if needed (LP: #144845).
  * Make sure we don't accidentally continue to boot if casper-md5check
    fails (LP: #82856).
  * Clear out debconf database backup files after preseeding to save memory
    (LP: #43706).
  * Mount everything as noatime to avoid unnecessary metadata writes.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2007 15:27:52 +0100

casper (1.105) gutsy; urgency=low

  * scripts/casper-bottom/36disable_trackerd: Disable trackerd in the live
    session; it's not very useful in this context and it uses a fair bit of
    memory.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2007 17:25:50 +0100

casper (1.104) gutsy; urgency=low

  * casper-md5check: Fall back to text output if opening the usplash FIFO
    fails (LP: #131209).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 01:07:45 +0100

casper (1.103) gutsy; urgency=low

  * Disable anacron harder so that it doesn't get started by battery events.
  * Don't write out DHCP network interface stanzas if network-manager is
    installed (LP: #139403).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Sep 2007 12:52:21 +0100

casper (1.102) gutsy; urgency=low

  * Rename 42disable_cups_apparmor to 42disable_apparmor and remove AppArmor's
    rc.d startup links instead of just disabling the cups profile. AA profiles
    will not generally work on the live system, so disabling it completely
    allows us to ship more profiles without worrying any further.
    (LP: #131976)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Sep 2007 08:37:50 +0200

casper (1.101) gutsy; urgency=low

  * Add scripts/casper-bottom/42disable_cups_apparmor: Disable AppArmor
    protection for cups on the live CD by switching the profiles to complain
    mode. This is necessary until AppArmor works properly on stacked file
    systems. (LP: #131976)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 12 Sep 2007 16:44:02 +0200

casper (1.100) gutsy; urgency=low

  * scripts/casper-bottom/41apt_cdrom: Remove unnecessary /root/cdrom
    mounting/unmounting code, which only serves to generate error messages
    (scripts/casper-bottom/05mountpoints handles this already).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Sep 2007 19:47:58 +0100

casper (1.99) gutsy; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Change gconf setting used to automatically start Orca (LP: #131808).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 31 Aug 2007 13:09:46 +0100

casper (1.98) gutsy; urgency=low

  * Load /preseed.cfg if it exists in the initramfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Aug 2007 16:18:27 +0100

casper (1.97) gutsy; urgency=low

  * Fix paths in scripts/casper-bottom/10adduser and
    scripts/casper-bottom/38disable_restricted_manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Aug 2007 15:26:33 +0100

casper (1.96) gutsy; urgency=low

  [ Colin Watson ]
  * Fix name and executability of timezone script.

  [ Jonathan Riddell ]
  * In 10adduser add About Kubuntu document to desktop and remove
    restricted-manager autostart files

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 12:51:02 +0100

casper (1.95) gutsy; urgency=low

  * Fix regex syntax error while looking for non-CD devices for driver
    updates.
  * Fix ip= boot parameter, documented but not properly merged from Debian
    (LP: #128689).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Jul 2007 15:03:41 +0100

casper (1.94) gutsy; urgency=low

  [ Colin Watson ]
  * Hack around keyboard configuration not being done until after the keymap
    is set by having /etc/init.d/usplash reconfigure the console
    (LP: #68487).
  * Disable pam_lastlog on the console if doing autologin (LP: #126800).

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Prevent gksu from grabbing keyboard focus for the v2, v3, and m1
      accessibility profiles. (LP: #67172)
  * Start Orca when a Braille device is configured from choosing the

